%define url_ver %(echo %{version}|cut -d. -f1,2)
%define oname  mate-image-viewer
%define subrel 1

Name:          eom
Version:       1.8.1
Release:       %mkrel 2
Summary:    Eye of MATE image viewer
Group:         Graphical desktop/MATE
License:       GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:      http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# Fix integer overflow: CVE-2013-7447 and mga#17731
Patch0:        eom-avoid_integer_overflow.patch

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(libart-2.0)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(lcms)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(mate-icon-theme)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(shared-mime-info)
BuildRequires: pkgconfig(pygobject-2.0)
BuildRequires: jpeg-devel
BuildRequires: itstool
BuildRequires: mate-common

Requires:      librsvg
Requires:      mate-icon-theme
Requires:      gsettings-desktop-schemas

Provides:       %{oname} = %{version}-%{release}
Obsoletes:      %{oname} < 1.7.0

%description
This is the Eye of MATE, an image viewer program.  It is meant to be
a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.

%package  devel
Summary:  C headers needed to build EOM plugins
Group:    Development/C
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{oname}-devel = %{version}-%{release}
Obsoletes:  %{oname}-devel < 1.7.0

%description devel
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. This package allows you to develop plugins that add new
functionality to eom.

%prep
%autosetup -p1

%build
%configure2_5x \
   --disable-schemas-compile \
   --disable-scrollkeeper

%make

%install
%makeinstall_std

find %{buildroot}%{_libdir} -type f -name "*.la" -delete
find %{buildroot}%{_libdir} -type f -name "*.a" -delete

# Remove needless MateConf stuff
rm -fr %{buildroot}%{_datadir}/MateConf

%find_lang %{name} --with-gnome


%files -f %name.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/eom
%{_mandir}/man1/eom.*
%{_libdir}/eom/plugins
%{_datadir}/applications/eom.desktop
%{_datadir}/eom
%{_datadir}/help/*/%{name}/*
%{_datadir}/gtk-doc/html/eom/*
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml

%files devel
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20


%changelog
* Thu Feb 11 2016 tarakbumba <tarakbumba> 1.8.1-2.1.mga5
+ Revision: 955818
- Fix integer overflow: CVE-2013-7447

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 740638
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731549
- Update to 1.8.1 version
- Use autosetup macro in specfile

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 679017
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601157
- fix obsoleting old mate-image-viewer

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600095
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598272
-Update to 1.7.x version
- imported package eom

